// -*-C++-*-
//
// File:      AnyFile.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:40:55 MET DST 2000

#include "AnyFile.h"
#include "Folder.h"


AnyFile::AnyFile(const QString& name,Folder* parent) :
  _name(name),_parent(parent)
{
}

AnyFile::~AnyFile()
{
}

QString AnyFile::qualifiedName()
{
  QString s;
  if ( _parent ) {
    s = _parent->qualifiedName();
    s.append( "/" );
    s.append( _name );
    
  } else {
    s = _name;
  }
  return s;
}
