// -*-C++-*-
//
// File:      AnyFile.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:38:37 MET DST 2000

#ifndef AnyFile_h
#define AnyFile_h

#include <qstring.h>
class Folder;
class AnyFile 
{
  
public:
  AnyFile(const QString& name,Folder* parent=0);
  virtual ~AnyFile();


  const QString& name() const {return _name;}
  QString qualifiedName();

protected:
  // only derived classes can use these

private:
  // member functions
  
  AnyFile(const AnyFile&);            // copy constructor (disabled)
  AnyFile& operator=(const AnyFile&); // assignment (disabled)
  
  // member data
  QString       _name;
  Folder*       _parent;
};

#endif
