/*****************************************************************************
 *
 *  DalData.h                                   XMM Science Analysis Subsystem
 *
 *  Miscellaneous functions on Dal data types
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: DalData.h,v 1.1 1999/03/12 09:00:40 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef DALDATA_H
#define DALDATA_H

#include <Dal.h>


//================================================================
//  Class DalData
//================================================================

class DalData
{
public:
    static char* dataTypeName(Dal::DataType dt);
    static char* cellTypeName(Column::CellType ct);
};

#endif
