// -*-C++-*-
//
// File:      DataSetFile.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:38:37 MET DST 2000

#ifndef DataSetFile_h
#define DataSetFile_h

#include <qstring.h>
class Folder;
class DataSet;

class DataSetFile 
{
  
public:
  DataSetFile(const QString& name,Folder* parent=0);
  virtual ~DataSetFile();


  const QString& name() const {return _name;}
  QString qualifiedName();

  DataSet* dataSet();
protected:
  // only derived classes can use these

private:
  // member functions
  
  DataSetFile(const DataSetFile&);            // copy constructor (disabled)
  DataSetFile& operator=(const DataSetFile&); // assignment (disabled)
  
  // member data
  QString       _name;
  Folder*       _parent;
  DataSet*      _dataSet;
};

#endif
