// -*-C++-*-
//
// File:      EnableFrame.cc
// Author:    jbakker
// Generated: Fri Jun 30 16:29:12 MET DST 2000

#include "EnableFrame.h"
#include <qlayout.h>
#include <qlabel.h>
#include "BoolParamWidget.h"
#include "BoolParameter.h"

EnableFrame::EnableFrame(QWidget *parent, const char *name) :
  FrameWidget(parent,name), _enable(true)
{
}

EnableFrame::~EnableFrame()
{
}

void EnableFrame::setLabel(BoolParameter* p)
{
  if (!p) return;
  delete _cb;
  _cb=0;

  BoolParamWidget* cb=new BoolParamWidget(p,this,p->name().c_str());
  _enable=cb->isChecked();

  connect(cb,SIGNAL(toggled(bool)),SLOT(swap(bool)));
  setEnabled(true);
  _cb=cb;
}

void EnableFrame::setEnabled(bool enable)
{
  enableCtrl(enable);
  enableGroup(enable && _enable); // only set it if we wish to.
}



void EnableFrame::swap(bool enable)
{
  _enable=enable;
  enableGroup(_enable);
}

void EnableFrame::addWidget(QWidget* w)
{
  _groupbox->addWidget(w);
}
