/*****************************************************************************
 *
 *  FileNameParamWidget.cc                      XMM Science Analysis Subsystem
 *
 *  Widget for editting file-name parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: FileNameParamWidget.cc,v 1.4 1999/06/29 14:09:38 jbrumfit Exp $
 *
 *****************************************************************************/

#include "FileNameParamWidget.h"   // Application headers

#include <iostream.h>              // C++ headers

#include <qfiledialog.h>           // Qt headers


//================================================================
//  Class FileNameParamWidget
//================================================================

void FileNameParamWidget::popupDialog()
{
     QString fileName = QFileDialog::getOpenFileName();
     if (!fileName.isNull()) 
         _par->setValue((const char*)(fileName));
}
