/*****************************************************************************
 *
 *  FileNameParamWidget.h                       XMM Science Analysis Subsystem
 *
 *  Widget for editting file-name parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: FileNameParamWidget.h,v 1.3 1999/05/19 10:08:31 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef FILENAMEPARAMWIDGET_H
#define FILENAMEPARAMWIDGET_H

#include "SpecialStringParameters.h"   // Application headers
#include "PopupParamWidget.h"

#include <qwidget.h>                   // Qt headers


//================================================================
//  Class FileNameParamWidget
//================================================================

class FileNameParamWidget : public PopupParamWidget
{
    Q_OBJECT

public:
    FileNameParamWidget(FileNameParameter* par, QWidget* parent)
      : PopupParamWidget(par,parent) {}

private slots:
    void popupDialog();
};

#endif
