/*****************************************************************************
 *
 *  IntListParamWidget.h                        XMM Science Analysis Subsystem
 *
 *  Widgets for editting integer list parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: IntListParamWidget.h,v 1.3 1999/06/29 14:09:39 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef INTLISTPARAMWIDGET_H
#define INTLISTPARAMWIDGET_H

#include "ParameterView.h"          // Application headers
#include "IntegerListEdit.h"

class QWidget;
class IntListParameter;


//================================================================
//  Class IntListParamWidget
//================================================================

class IntListParamWidget : public IntegerListEdit, public ParameterView
{
    Q_OBJECT

public:
    IntListParamWidget(IntListParameter*, QWidget*);
    ~IntListParamWidget();

public slots:
    void valueChanged();

protected:
    void updateView();

private:
    IntListParameter* _par;
};

#endif
