// -*-C++-*-
//
// File:      IconLibrary.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Aug 18 13:01:33 MET DST 2000

#ifndef IconLibrary_h
#define IconLibrary_h

#include <qpixmap.h>
class LibOfIcons;


class IconLibrary 
{
  
public:
  virtual ~IconLibrary();
  static IconLibrary* instance();

  const QPixmap& icon(const char*);
protected:
  // only derived classes can use these
  IconLibrary();

private:
  // member functions
  IconLibrary(const IconLibrary&);            // copy constructor (disabled)
  IconLibrary& operator=(const IconLibrary&); // assignment (disabled)

  // member data
  static IconLibrary* _instance;
  LibOfIcons*         _icons;
};



#endif
