// -*-C++-*-
//
// File:      testDataSetBrowser.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 16:41:33 MET DST 2000

#include "DataSetBrowser.h"

#include <qapplication.h> // needed for qApp
#include <qwindowsstyle.h>
#include <qstringlist.h>

#include <iostream>

int main(int argc, char** argv)
{
  // setup the application
  new QApplication(argc,argv);
  qApp->setStyle(new QWindowsStyle());

  // implementation
  DataSetBrowser* mainWidget=new DataSetBrowser();

  // parse
  vector<string> lst;
  for (int i=1;i<argc;i++) lst.push_back(argv[i]);
  mainWidget->setSelection(lst);
  
  // run
  mainWidget->resize(mainWidget->sizeHint());
  int result=mainWidget->exec();
  
  // result
  cout << "result:  " << result << endl;

  lst=mainWidget->selection();
  for (vector<string>::const_iterator it=lst.begin();it!=lst.end();it++)
    cout << "selections::" << (*it) << endl;

  return result;
}
