// -*-C++-*-
//
// File:      ChoiceFrame.h
// Author:    jbakker
// Generated: Fri Jun 30 16:27:51 MET DST 2000

#ifndef ChoiceFrame_h
#define ChoiceFrame_h

#include "FrameWidget.h"
class QWidgetStack;
class StringChoiceParamWidget;
class StringChoiceParameter;

class ChoiceFrame : public FrameWidget
{
public:
  ChoiceFrame(StringChoiceParameter*,QWidget *parent=0, const char *name=0);
  virtual ~ChoiceFrame();

  void addWidget(const char*,QWidget*);

protected:
  // only derived classes can use these
  virtual void enableGroup(bool enable);

private:
  // member functions
  ChoiceFrame(const ChoiceFrame&);            // copy constructor (disabled)
  ChoiceFrame& operator=(const ChoiceFrame&); // assignment (disabled)

  // member data
  QWidgetStack* _stack;
  StringChoiceParamWidget *    _combo;
};



#endif
