/*****************************************************************************
 *
 *  FileNameListParamWidget.h                   XMM Science Analysis Subsystem
 *
 *  Widgets for editting file-name list parameters
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: FileNameListParamWidget.h,v 1.1 1999/06/24 09:27:06 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef FILENAMELISTPARAMWIDGET_H
#define FILENAMELISTPARAMWIDGET_H

#include "StringListParamWidget.h"          // Application headers
#include "SpecialStringListParameters.h"

class QWidget;


//================================================================
//  Class FileNameListParamWidget
//================================================================

class FileNameListParamWidget : public StringListParamWidget
{
public:
    FileNameListParamWidget(FileNameListParameter* par, QWidget* widget)
      : StringListParamWidget(par, widget) {}
};

#endif
