/*****************************************************************************
 *
 *  GuiConst.H                                  XMM Science Analysis Subsystem
 *
 *  Definition of constants for GUI
 *
 *  This class exists simply to create a namespace
 *
 *  (c) 1998 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: GuiConst.h,v 1.1 1999/02/08 15:41:25 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef GUICONST_H
#define GUICONST_H

#include <qfont.h>          // Qt headers


class GuiConst
{
public:
 
    // Constants
    static const int _xBorder          = 20;
    static const int _yBorder          = 30;
    static const int _lineEditWidth    = 70;
    static const int _lineEditHeight   = 22;
    static const int _labelWidth       = 58;
    static const int _labelHeight      = 16;
    static const int _longEditWidth    = 70;
    static const int _longEditHeight   = 22;
    static const int _doubleEditWidth  = 70;
    static const int _doubleEditHeight = 22;
    static const int _comboBoxHeight   = 26;
    static const int _buttonHeight     = 30;
    static const int _checkBoxHeight   = 20;
    static const int _verticalSpacing  = 18;
    static const int _horizontalSpacing = 12;

    static const QFont _buttonFont;
    static const QFont _tabFont;
    static const QFont _menuFont;
    static const QFont _messageFont;
};

#endif
