/*****************************************************************************
 *
 *  PopupBrowserParamListWidget.h               XMM Science Analysis Subsystem
 *
 *  Base class for parameter list widgets which pop-up the browser
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupBrowserParamListWidget.h,v 1.3 2000/09/14 13:58:12 jbakker Exp $
 *
 *****************************************************************************/

#ifndef POPUPBROWSERPARAMLISTWIDGET_H
#define POPUPBROWSERPARAMLISTWIDGET_H

#include "PopupParamListWidget.h"    // Application headers

class QWidget;
class DataSetBrowser;
class StringListParameter;


//================================================================
//  Class PopupBrowserParamListWidget
//================================================================

class PopupBrowserParamListWidget : public PopupParamListWidget
{
    Q_OBJECT

public:
    PopupBrowserParamListWidget(StringListParameter* par, QWidget* parent)
      : PopupParamListWidget(par,parent) {}

public slots:
    void popupDialog();

private:
    DataSetBrowser* _dsv;
};

#endif
