/*****************************************************************************
 *
 *  PopupBrowserParamWidget.h                   XMM Science Analysis Subsystem
 *
 *  Base class for parameter widgets which pop-up the browser
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupBrowserParamWidget.h,v 1.4 2000/09/14 13:58:13 jbakker Exp $
 *
 *****************************************************************************/

#ifndef POPUPBROWSERPARAMWIDGET_H
#define POPUPBROWSERPARAMWIDGET_H

#include "PopupParamWidget.h"    // Application headers

class QWidget;
class DataSetBrowser;
class StringParameter;


//================================================================
//  Class PopupBrowserParamWidget
//================================================================

class PopupBrowserParamWidget : public PopupParamWidget
{
    Q_OBJECT

public:
    PopupBrowserParamWidget(StringParameter* par, QWidget* parent)
      : PopupParamWidget(par,parent) {}

public slots:
    void popupDialog();

private:
    DataSetBrowser* _dsv;
};

#endif
