/*-*-C++-*-********************************************************************
 *
 *  EnablingWidget.h                            XMM Science Analysis Subsystem
 *
 *  Widget which enables its children
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: EnablingWidget.h,v 1.2 2000/07/04 09:32:44 jbakker Exp $
 *
 *****************************************************************************/

#ifndef ENABLINGWIDGET_H
#define ENABLINGWIDGET_H

#include <qwidget.h>


//================================================================
//  Abstract class EnablingWidget
//================================================================

class EnablingWidget : public QWidget
{
  Q_OBJECT
public:
    // Constructor
    EnablingWidget(QWidget* parent=0, const char* name=0);

public slots:
    // Enabling
    virtual void setEnabled(bool enable);
};

#endif
