/****************************************************************************
 *
 *  testLongMenu.h
 *
 *  Test program for LongMenu widget
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testLongMenu.h,v 1.1 1999/06/24 09:24:38 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TESTLONGMENU_H
#define TESTLONGMENU_H

#include <qwidget.h>

#include "LongMenu.h"


//================================================================
//  Class Demo
//================================================================

class Demo : public QWidget
{
    Q_OBJECT

public:

    // Constructors and destructors
    Demo( QWidget *parent=0, const char *name=0 );

private slots:

    void itemSelected(const char* text);

private:

    // Member data
    LongMenu*  _demoMenu;
};

#endif
